.head-lang {margin-left: 0px;}
.lang{z-index:99999;text-align:left;position:relative}
.lang-icon{display:flex;align-items:center;justify-content:center;min-width:140px;height:40px;border-radius:25px;background:var(--hovercolor);padding:0 15px;color:#FFFFFF;border:none;cursor:pointer;font-size:var(--fontsize16);user-select:none;white-space:nowrap}
.lang-icon img{width:20px}
.lang-icon span{position:relative;padding-right:18px;margin-left:6px;font-size:var(--fontsize14)}
.lang-icon span::before{content:"";position:absolute;right:4px;top:13px;width:8px;height:1px;background:#FFFFFF;transform:rotate(50deg)}
.lang-icon span::after{content:"";position:absolute;right:0;top:13px;width:8px;height:1px;background:#FFFFFF;transform:rotate(-50deg)}
.lang-drop{position:absolute;top:calc(100% + 26px);right:50%;transform:translateX(50%);background:#FFFFFF;border:1px solid #ebeef5;border-radius:var(--borderradius);box-shadow:0 2px 12px 0 rgba(0,0,0,.1);z-index:9999;visibility:hidden;opacity:0;transition:opacity .3s,top .3s}
.lang-drop.lang-flex{transform:translateX(20%)}
.lang-drop.active{visibility:visible;opacity:1;top:calc(100% + 7px)}
.lang-arrow{display:block;width:10px;height:10px;background-color:#FFFFFF;border-top:1px solid #ebeef5;border-left:1px solid #ebeef5;transform:translateX(-50%) rotate(45deg);position:absolute;top:-6px;left:50%}
.lang-drop.lang-flex .lang-arrow{left:79%}
.lang-wrap{list-style:none;width:140px;padding:8px 0;box-sizing:border-box}
.lang-flex .lang-wrap{display:flex;flex-wrap:wrap;padding:8px}
.lang-wrap li{width:100%;box-sizing:border-box;transition:background-color .3s}
.lang-flex .lang-wrap li{width:33.3333%}
.lang-wrap li.lang-active,.lang-wrap li:hover{background-color:#EEEEEE}
.lang-wrap li a{display:block;color:var(--fontcolor);font-size:var(--fontsize12);padding:10px 12px;text-decoration:none;white-space:nowrap;text-overflow:ellipsis;overflow:hidden}
.lang-wrap li img{display:inline-block;width:24px;height:16px;vertical-align:-.25em;margin-right:4px}
@media (max-width:1024px){
.lang{transition:all .2s linear}
.lang-icon{min-width:inherit;background:0 0}
.lang-icon img{width:28px;filter:invert(70%)}
.lang-icon span{display:none}
.lang-drop{display:none}
.lang-drop.lang-flex{position:fixed;width:95%;right:auto;left:50%;transform:translateX(-50%)}
.lang-drop.lang-flex .lang-arrow{left:84%}
.lang-drop.lang-flex .lang-wrap{width:100%}
.lang-drop.active{display:block;top:calc(100% + 3px)}}

.lang-drop li span{background:url(../bg/language-all.webp) no-repeat center;width:24px;height:16px;display:inline-flex;margin-right:6px;vertical-align:sub;}
.lang-flex .lang-wrap{width:360px;max-height:400px;overflow-y:auto;position:relative;}
.lang-drop li span.lang-en{background-position:0px 0px;}
.lang-drop li span.lang-fr{background-position:0px -17px;}
.lang-drop li span.lang-de{background-position:0px -34px;}
.lang-drop li span.lang-es{background-position:0px -51px;}
.lang-drop li span.lang-pt{background-position:0px -68px;}
.lang-drop li span.lang-it{background-position:0px -85px;}
.lang-drop li span.lang-ar{background-position:0px -102px;}
.lang-drop li span.lang-ko{background-position:0px -119px;}
.lang-drop li span.lang-ja{background-position:0px -136px;}
.lang-drop li span.lang-ru{background-position:0px -153px;}
.lang-drop li span.lang-nl{background-position:0px -170px;}
.lang-drop li span.lang-cn{background-position:0px -187px;}
.lang-drop li span.lang-tw{background-position:0px -204px;}
.lang-drop li span.lang-ua{background-position:0px -221px;}
.lang-drop li span.lang-fj{background-position:0px -238px;}
.lang-drop li span.lang-my{background-position:0px -255px;}
.lang-drop li span.lang-af{background-position:0px -272px;}
.lang-drop li span.lang-hr{background-position:0px -289px;}
.lang-drop li span.lang-bg{background-position:0px -306px;}
.lang-drop li span.lang-sk{background-position:0px -323px;}
.lang-drop li span.lang-id{background-position:0px -340px;}
.lang-drop li span.lang-no{background-position:0px -357px;}
.lang-drop li span.lang-ee{background-position:0px -374px;}
.lang-drop li span.lang-si{background-position:0px -391px;}
.lang-drop li span.lang-ht{background-position:0px -408px;}
.lang-drop li span.lang-pk{background-position:0px -425px;}
.lang-drop li span.lang-fi{background-position:0px -442px;}
.lang-drop li span.lang-tr{background-position:0px -459px;}
.lang-drop li span.lang-dk{background-position:0px -476px;}
.lang-drop li span.lang-mt{background-position:0px -493px;}
.lang-drop li span.lang-se{background-position:-25px 0px;}
.lang-drop li span.lang-il{background-position:-25px -17px;}
.lang-drop li span.lang-cy{background-position:-25px -34px;}
.lang-drop li span.lang-th{background-position:-25px -51px;}
.lang-drop li span.lang-ro{background-position:-25px -68px;}
.lang-drop li span.lang-lv{background-position:-25px -85px;}
.lang-drop li span.lang-gr{background-position:-25px -102px;}
.lang-drop li span.lang-hu{background-position:-25px -119px;}
.lang-drop li span.lang-vn{background-position:-25px -136px;}
.lang-drop li span.lang-lt{background-position:-25px -153px;}
.lang-drop li span.lang-cz{background-position:-25px -170px;}
.lang-drop li span.lang-ca{background-position:-25px -187px;}
.lang-drop li span.lang-pl{background-position:-25px -204px;}
.lang-drop li span.lang-tlh{background-position:-25px -221px;}
.lang-drop li span.lang-yua{background-position:-25px -238px;}
.lang-drop li span.lang-mww{background-position:-25px -255px;}
.lang-drop li span.lang-otq{background-position:-25px -272px;}
.lang-drop li span.lang-srla{background-position:-25px -289px;}
.lang-drop li span.lang-srcyrl{background-position:-25px -306px;}
.lang-drop li span.lang-sq{background-position:-25px -323px;}
.lang-drop li span.lang-am{background-position:-25px -340px;}
.lang-drop li span.lang-az{background-position:-25px -357px;}
.lang-drop li span.lang-eu{background-position:-25px -374px;}
.lang-drop li span.lang-be{background-position:-25px -391px;}
.lang-drop li span.lang-fa{background-position:-25px -408px;}
.lang-drop li span.lang-fy{background-position:-25px -425px;}
.lang-drop li span.lang-km{background-position:-25px -442px;}
.lang-drop li span.lang-ka{background-position:-25px -459px;}
.lang-drop li span.lang-gu{background-position:-25px -476px;}
.lang-drop li span.lang-ky{background-position:-25px -493px;}
.lang-drop li span.lang-gl{background-position:-50px 0px;}
.lang-drop li span.lang-kn{background-position:-50px -17px;}
.lang-drop li span.lang-co{background-position:-50px -34px;}
.lang-drop li span.lang-ku{background-position:-50px -51px;}
.lang-drop li span.lang-la{background-position:-50px -68px;}
.lang-drop li span.lang-lo{background-position:-50px -85px;}
.lang-drop li span.lang-lb{background-position:-50px -102px;}
.lang-drop li span.lang-mg{background-position:-50px -119px;}
.lang-drop li span.lang-mr{background-position:-50px -136px;}
.lang-drop li span.lang-ml{background-position:-50px -153px;}
.lang-drop li span.lang-mk{background-position:-50px -170px;}
.lang-drop li span.lang-mi{background-position:-50px -187px;}
.lang-drop li span.lang-mn{background-position:-50px -204px;}
.lang-drop li span.lang-ms{background-position:-50px -221px;}
.lang-drop li span.lang-xh{background-position:-50px -238px;}
.lang-drop li span.lang-zu{background-position:-50px -255px;}
.lang-drop li span.lang-ne{background-position:-50px -272px;}
.lang-drop li span.lang-pa{background-position:-50px -289px;}
.lang-drop li span.lang-ny{background-position:-50px -306px;}
.lang-drop li span.lang-sm{background-position:-50px -323px;}
.lang-drop li span.lang-st{background-position:-50px -340px;}
.lang-drop li span.lang-sl{background-position:-50px -357px;}
.lang-drop li span.lang-eo{background-position:-50px -374px;}
.lang-drop li span.lang-sw{background-position:-50px -391px;}
.lang-drop li span.lang-gd{background-position:-50px -408px;}
.lang-drop li span.lang-ceb{background-position:-50px -425px;}
.lang-drop li span.lang-so{background-position:-50px -442px;}
.lang-drop li span.lang-tg{background-position:-50px -459px;}
.lang-drop li span.lang-te{background-position:-50px -476px;}
.lang-drop li span.lang-ta{background-position:-50px -493px;}
.lang-drop li span.lang-haw{background-position:-75px 0px;}
.lang-drop li span.lang-sd{background-position:-75px -17px;}
.lang-drop li span.lang-sn{background-position:-75px -34px;}
.lang-drop li span.lang-hy{background-position:-75px -51px;}
.lang-drop li span.lang-ig{background-position:-75px -68px;}
.lang-drop li span.lang-yi{background-position:-75px -85px;}
.lang-drop li span.lang-su{background-position:-75px -102px;}
.lang-drop li span.lang-jw{background-position:-75px -119px;}
.lang-drop li span.lang-yo{background-position:-75px -136px;}
.lang-drop li span.lang-ha{background-position:-75px -153px;}
.lang-drop li span.lang-ps{background-position:-75px -170px;}
.lang-drop li span.lang-kk{background-position:-75px -187px;}
.lang-drop li span.lang-tl{background-position:-75px -204px;}
.lang-drop li span.lang-tk{background-position:-75px -221px;}
.lang-drop li span.lang-ug{background-position:-75px -238px;}
.lang-drop li span.lang-rw{background-position:-75px -255px;}
.lang-drop li span.lang-tt{background-position:-75px -272px;}
.lang-drop li span.lang-or{background-position:-75px -289px;}
.lang-drop li span.lang-as{background-position:-75px -306px;}
.lang-drop li span.lang-awa{background-position:-75px -323px;}
.lang-drop li span.lang-lij{background-position:-75px -340px;}
.lang-drop li span.lang-ay{background-position:-75px -357px;}
.lang-drop li span.lang-oc{background-position:-75px -374px;}
.lang-drop li span.lang-tpi{background-position:-75px -391px;}
.lang-drop li span.lang-ban{background-position:-75px -408px;}
.lang-drop li span.lang-mai{background-position:-75px -425px;}
.lang-drop li span.lang-bm{background-position:-75px -442px;}
.lang-drop li span.lang-pag{background-position:-75px -459px;}
.lang-drop li span.lang-nso{background-position:-75px -476px;}
.lang-drop li span.lang-bem{background-position:-75px -493px;}
.lang-drop li span.lang-dyu{background-position:-100px 0px;}
.lang-drop li span.lang-fo{background-position:-100px -17px;}
.lang-drop li span.lang-mni{background-position:-100px -34px;}
.lang-drop li span.lang-fon{background-position:-100px -51px;}
.lang-drop li span.lang-gn{background-position:-100px -68px;}
.lang-drop li span.lang-kac{background-position:-100px -85px;}
.lang-drop li span.lang-lus{background-position:-100px -102px;}
.lang-drop li span.lang-crh{background-position:-100px -119px;}
.lang-drop li span.lang-li{background-position:-100px -136px;}
.lang-drop li span.lang-ln{background-position:-100px -153px;}
.lang-drop li span.lang-rn{background-position:-100px -170px;}
.lang-drop li span.lang-luo{background-position:-100px -187px;}
.lang-drop li span.lang-lg{background-position:-100px -204px;}
.lang-drop li span.lang-lmo{background-position:-100px -221px;}
.lang-drop li span.lang-pap{background-position:-100px -238px;}
.lang-drop li span.lang-ak{background-position:-100px -255px;}
.lang-drop li span.lang-sg{background-position:-100px -272px;}
.lang-drop li span.lang-ti{background-position:-100px -289px;}
.lang-drop li span.lang-tum{background-position:-100px -306px;}
.lang-drop li span.lang-sat{background-position:-100px -323px;}
.lang-drop li span.lang-war{background-position:-100px -340px;}
.lang-drop li span.lang-vec{background-position:-100px -357px;}
.lang-drop li span.lang-wo{background-position:-100px -374px;}
.lang-drop li span.lang-szl{background-position:-100px -391px;}
.lang-drop li span.lang-scn{background-position:-100px -408px;}
.lang-drop li span.lang-ace{background-position:-100px -425px;}
.lang-drop li span.lang-ilo{background-position:-100px -442px;}
.lang-drop li span.lang-dz{background-position:-100px -459px;}
.lang-drop li span.lang-kg{background-position:-100px -476px;}
.lang-drop li span.lang-ba{background-position:-100px -493px;}